Subject: Re: [bug#40009] [core-updates PATCH]: Use per-architecture GCC for libstdc++-boot0

From: Efraim Flashner <[email-masked]>
Date: Wed, 11 Mar 2020 08:51:32 +0200

On Tue, Mar 10, 2020 at 08:21:08PM +0100, Marius Bakke wrote:
> Efraim Flashner <[email-masked]> writes:
> 
> > I've tested this on aarch64 and there were no problems. It also
> > provides a nice framework for other architectures as they become
> > supported.
> 
> What is the benefit of this patch?  I'd prefer to keep libstdc++-boot0
> identical across architectures for simplicity, unless there is a good
> reason to do otherwise (say, porting to a new architecture).
> 
> Now we could end up in a situation where someone patches GCC5 on
> 'master' and accidentally triggers a full rebuild on AArch64.

Sound reasoning. And currently most of the porting work makes use of
GCC7 and not GCC5. I'm closing this bug.

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted